diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-core-5.0.8/changelog.txt shorewall-core-5.0.8.1/changelog.txt
--- shorewall-core-5.0.8/changelog.txt	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-core-5.0.8.1/changelog.txt	2016-05-01 10:54:13.239145444 -0700
@@ -1,3 +1,23 @@
+Changes in 5.0.8.1
+
+1)  Update release documents.
+
+2)  Fix handling of optional provider with no IP address
+
+3)  Correct typos in the Events article
+
+4)  Implement standard error messages in the CLI
+
+5)  Include compile time and date in the output of 'status'
+
+6)  Apply Matt Darfeuille's patch set.
+
+7)  Fix Shorewall6 SysV init script.
+
+Changes in 5.0.8 Final
+
+1)  Update release documents.
+
 Changes in 5.0.8 RC 2
 
 1)  Update release documents.
@@ -16,7 +36,7 @@
 
 8)  Add an ESTABLISHED,RELATED rule for o => docker0
 
-9)  ?WARNING and ?INFO
+9)  Add ?WARNING and ?INFO directives
 
 10) Warning on optional provider in the DUPLICATE column
 
@@ -28,7 +48,7 @@
 
 3)  Correct many issues with save/restore of ipsets.
 
-4)  Update DHCP article (refresh -> restart)
+4)  Update DHCP article (refresh -> reload)
 
 5)  Correct start command's handling of AUTOMAKE.
 
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-core-5.0.8/configure shorewall-core-5.0.8.1/configure
--- shorewall-core-5.0.8/configure	2016-04-23 06:42:05.919009000 -0700
+++ shorewall-core-5.0.8.1/configure	2016-05-01 10:54:13.147099444 -0700
@@ -28,7 +28,7 @@
 #
 # Build updates this
 #
-VERSION=5.0.8
+VERSION=5.0.8.1
 
 case "$BASH_VERSION" in
     [4-9].*)
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-core-5.0.8/configure.pl shorewall-core-5.0.8.1/configure.pl
--- shorewall-core-5.0.8/configure.pl	2016-04-23 06:42:05.923009000 -0700
+++ shorewall-core-5.0.8.1/configure.pl	2016-05-01 10:54:13.147099444 -0700
@@ -31,7 +31,7 @@
 # Build updates this
 #
 use constant {
-    VERSION => '5.0.8'
+    VERSION => '5.0.8.1'
 };
 
 my %params;
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-core-5.0.8/install.sh shorewall-core-5.0.8.1/install.sh
--- shorewall-core-5.0.8/install.sh	2016-04-23 06:42:05.915009000 -0700
+++ shorewall-core-5.0.8.1/install.sh	2016-05-01 10:54:13.143097444 -0700
@@ -22,7 +22,7 @@
 #	along with this program; if not, see <http://www.gnu.org/licenses/>.
 #
 
-VERSION=5.0.8
+VERSION=5.0.8.1
 
 PRODUCT=shorewall-core
 Product="Shorewall Core"
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-core-5.0.8/releasenotes.txt shorewall-core-5.0.8.1/releasenotes.txt
--- shorewall-core-5.0.8/releasenotes.txt	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-core-5.0.8.1/releasenotes.txt	2016-05-01 10:54:13.239145444 -0700
@@ -1,7 +1,7 @@
 ----------------------------------------------------------------------------
-	               S H O R E W A L L  5 . 0 . 8
+	            S H O R E W A L L  5 . 0 . 8 . 1
                        ----------------------------
-                        A p r i l  2 4 ,  2 0 1 6
+                          M a y  0 2 ,  2 0 1 6
 ----------------------------------------------------------------------------
 
 I.    PROBLEMS CORRECTED IN THIS RELEASE
@@ -14,6 +14,35 @@
   I.  P R O B L E M S   C O R R E C T E D   I N   T H I S  R E L E A S E
 ----------------------------------------------------------------------------
 
+5.0.8.1
+
+1)  When an optional provider interface did not have an IP address,
+    an error such as the following was seen:
+
+      /var/lib/shorewall/firewall 2442: persistent_provider_ComcastC:
+                                        command not found
+
+    That has been corrected.
+
+2)  Several typos in the Events article have been corrected.
+
+3)  Typos in the shorewall[6]-mangle(5) manpages have been corrected.
+
+4)  A typo in the Shorewall install.sh script has been corrected. The
+    typo resulted in an inaccurate progress message (Matt Darfeuille).
+
+5)  Now, ~/.shorewallrc is removed when Shorewall-core is uninstalled
+    using the uninstall.sh script (Matt Darfeuille).
+
+6)  Manpages are now installed only when MANDIR is non-empty (Matt
+    Darfeuille).
+
+7)  When Shorewall6 was installed using the Shorewall-provided rpm, the
+    SysV init script had broken 'stop' and 'status' implementions. That
+    has been corrected.
+
+5.0.8
+
 1)  This release includes defect repair through Shorewall 5.0.7.2.
 
 2)  If a physical interface name was used in the INTERFACE column of an
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-core-5.0.8/shorewall-core.spec shorewall-core-5.0.8.1/shorewall-core.spec
--- shorewall-core-5.0.8/shorewall-core.spec	2016-04-23 06:42:06.523009000 -0700
+++ shorewall-core-5.0.8.1/shorewall-core.spec	2016-05-01 10:54:13.239145444 -0700
@@ -1,6 +1,6 @@
 %define name shorewall-core
 %define version 5.0.8
-%define release 0base
+%define release 1
 
 Summary: Shoreline Firewall is an iptables-based firewall for Linux systems.
 Name: %{name}
@@ -63,6 +63,8 @@
 %doc COPYING INSTALL changelog.txt releasenotes.txt
 
 %changelog
+* Mon Apr 25 2016 Tom Eastep tom@shorewall.net
+- Updated to 5.0.8-1
 * Tue Apr 19 2016 Tom Eastep tom@shorewall.net
 - Updated to 5.0.8-0base
 * Fri Apr 15 2016 Tom Eastep tom@shorewall.net
diff -Naurdw -X /home/teastep/shorewall/tools/build/exclude.txt shorewall-core-5.0.8/uninstall.sh shorewall-core-5.0.8.1/uninstall.sh
--- shorewall-core-5.0.8/uninstall.sh	2016-04-23 06:42:05.919009000 -0700
+++ shorewall-core-5.0.8.1/uninstall.sh	2016-05-01 10:54:13.143097444 -0700
@@ -26,7 +26,7 @@
 #       You may only use this script to uninstall the version
 #       shown below. Simply run this script to remove Shorewall Firewall
 
-VERSION=5.0.8
+VERSION=5.0.8.1
 PRODUCT="shorewall-core"
 Product="Shorewall Core"
  
@@ -117,6 +117,7 @@
 echo "Uninstalling Shorewall Core $VERSION"
 
 rm -rf ${SHAREDIR}/shorewall
+rm -f ~/.shorewallrc
 
 echo "Shorewall Core Uninstalled"
 
